Subject: TeXhax Digest V95 #17
From: Majordomo list server <[email-masked]>
To: [email-masked]
Date: Sat, 2 Dec 1995 18:11:20 +0000

TeXhax Digest            Saturday, 2 December 1995     Volume 95 : Number 017

(incorporating UKTeX Digest)

Today's Topics:

    TeXhax goes on automatic pilot
    Printing problems
    Re: invisible printing / figure separations
    Re: invisible printing / figure separations 
    Re: TeX with an SGML syntax?
    Where is Dr. Von Bechtolsheim ?
    TEX-L: Daily error monitoring report

    For details of how to subscribe, unsubscribe and contribute articles,
    see the end of this issue.

----------------------------------------------------------------------

From: [email-masked]
Date: Thu, 30 Nov 1995 16:03:22 +0000
Subject: TeXhax goes on automatic pilot

As moderator, it's getting very difficult to find time to edit the digest from 
individual messages, particularly now that I've started a part-time research 
degree.  So, I've taken a deep breath and put TeXhax on "automatic pilot", 
under the control of the Majordomo list manager I use here.  Majordomo's 
digest program has been doing sterling work for me on a digest of the Lotus 
Cars mailing list, the 300th automatically-produced issue of which dropped 
into my mailbox today, so I'm confident it can do the job.  I'll be keeping a 
close eye on the digester's performance, but I hope this change should mean 
more regular issues of TeXhax --- assuming people keep sending mail for 
inclusion in it, of course!

~~David Osborne (TeXhax Digest moderator)

------------------------------

From: Salvatore Ruggieri <[email-masked]>
Date: Mon, 27 Nov 1995 14:45:20 +0100 (GMT+0100)
Subject: Printing problems

I have a big problem with printing PostScript files generated with 
dvips starting from a Latex document.

In the Latex document some \epsffile macro appear, and epsf files
(generated with ps2epsi starting from a PostScript from FrameMaker 4) 
are included and printed correctly only on a few printers 
(actually, just a Sun).

The problem arises mainly with HP, but also with Apple and other printers.
The figures are not printed, although I can see them using xdvi
or ghostview.

Can anyone help me, please ?

Thanks.

Salvatore Ruggieri

------------------------------

From: Robin Fairbairns <[email-masked]>
Date: Mon, 27 Nov 1995 17:19:51 +0000
Subject: Re: invisible printing / figure separations

Bruce Leban (texhax 95#16) writes:

> I want to be able to print a TeX file with all of the text omitted.
> It sounds weird, but I want to print pages with color figures and the
> output from the color printer is not high enough quality for the text.

Actually, it's not a bad way to proceed...

> The idea is to print the pages twice:
> 
>         1) print the pages with the figures deleted
>            --- easy enough by replacing each figure with a box of the
>                appropriate size; an easy hack to do this for EPSF figures
>                is to replace each EPSF file with a dummy version that 
>                contains just the %!EPSF and %%BoundingBox lines.

Presumably doable with graphics package draft mode, with even less
editing on your part...  (Though it does insist on printing a file
name...)

>         2) print the pages with only the figures
>            --- this is the problem; obviously I can carefully write code
>                to position the picture at just the right place for each
>                page but this is tedious.
> 
> Any suggestions that would make this easier?

Use the color package; saying \textcolor[rgb]{0.0,0.0,0.0} would
probably get rid of most of it ;-)

> Looking in the TeXhax archives, I found a similar request in TeXhax 93.16,
> but no answer.  FYI, I am using TeX C 2.9 (on a DEC workstation) and
> Textures 1.7 (on a Mac), both with LaTeX 2.09.

Of course: LaTeX2e wasn't released until June 1994, and even the
prerelease of the graphics and color packages didn't happen until
April of that year (IIRC).

------------------------------

From: David Carlisle <[email-masked]>
Date: Mon, 27 Nov 95 17:30:00 GMT
Subject: Re: invisible printing / figure separations 

> Use the color package; saying \textcolor[rgb]{0.0,0.0,0.0} would
> probably get rid of most of it ;-)

or \color{white} which is less typing, put it in the preamble then
page headers etc will also be white.

If there is a requirement to have a draft mode that leaves just white
space rather than put in the file name, this is probably easy enough
to achieve, well something like the following in a package file loaded
after graphics will probably work...

\def\Gin@setfile#1#2#3{%
  \ifx\\#2\\\Gread@false\fi
  \ifGin@bbox\else
    \ifGread@
      \csname Gread@%
         \expandafter\ifx\csname Gread@#1\endcsname\relax
           eps%
         \else
           #1%
         \fi
      \endcsname{\Gin@base#2}%
    \else
      \Gin@nosize{#3}%
    \fi
  \fi
  \Gin@viewport@code
  \Gin@nat@height\Gin@ury bp%
  \advance\Gin@nat@height-\Gin@lly bp%
  \Gin@nat@width\Gin@urx bp%
  \advance\Gin@nat@width-\Gin@llx bp%
  \Gin@req@sizes
  \expandafter\ifx\csname Ginclude@#1\endcsname\relax
    \Gin@drafttrue
    \expandafter\ifx\csname Gread#1\endcsname\relax
      \@latex@error{Can not include graphics of type: #1}\@ehc
      \global\expandafter\let\csname Gread#1\endcsname\@empty
    \fi
  \fi
  \leavevmode
  \ifGin@draft
      \hbox to \Gin@req@width{%
%        \vrule
         \hss
        \vbox to \Gin@req@height{%
%           \hrule \@width \Gin@req@width
           \vss
%           \edef\@tempa{#3}%
%           \rlap{ \ttfamily\expandafter\strip@prefix\meaning\@tempa}%
           \vss
%           \hrule
            }%
        \hss
%        \vrule
         }%
  \else
    \@addtofilelist{#3}%
    \ProvidesFile{#3}[Graphic file (type #1)]%
    \setbox\z@\hbox{\csname Ginclude@#1\endcsname{#3}}%
    \dp\z@\z@
    \ht\z@\Gin@req@height
    \wd\z@\Gin@req@width
  \box\z@
  \fi}

------------------------------

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Tue, 28 Nov 1995 09:13:39 -0700 (MST)
Subject: Re: TeX with an SGML syntax?

J. Greg Davidson <[email-masked]> asks about using SGML as a markup
language in place of TeX's macro language.

First, it is important to note that SGML is <em>not</em> a programming
language: it lacks loops, and has only extremely primitive conditional
processing, both essential elements of a programming language (see
C. Boehm and G. Jacopini, Comm. ACM, 9, 366--371 (1966)).  SGML also
lacks general macros, though simple entity definitions are possible.
TeX's macro language is very definitely a programming language.

There have been a few attempts to put a different face on TeX:

	(a) Free Software Foundation's Scribe-like TeXinfo system,
	    available at ftp://prep.ai.mit.edu/pub/gnu/texinfo*.*;

	(b) Lisp-like markup language:

@String{TUGboat = "TUGboat"}

@Article{Semenzato:TB12-34-434,
  author =       "Luigi Semenzato and Edward Wang",
  title =        "{{A text processing language should be first a
                 programming language}}",
  journal =      TUGboat,
  year =         "1991",
  volume =       "12",
  number =       "34",
  pages =        "434--441",
  month =        Nov,
}

	(c) SGML2TeX, briefly described on p. 295 of this
	excellent recent book:

@String{pub-ITCP                = "International Thomson Computer Press"}
@String{pub-ITCP:adr            = "20 Park Plaza Suite 1001, Boston,
                                  MA 02116 USA"}

@Book{Flynn:1995:WH,
  author =       "Peter Flynn",
  title =        "The {WorldWideWeb} Handbook",
  publisher =    pub-ITCP,
  address =      pub-ITCP:adr,
  year =         "1995",
  ISBN =         "1-85032-205-8",
  LCCN =         "TK5105.888 .F56 1995",
  acknowledgement = ack-nhfb,
  pages =        "xix + 351",
  note =         "Includes HTML quick reference guide.",
  bibdate =      "Wed Nov 15 08:24:30 1995",
}

Because TeX's macro language is powerful, unusual, and idiosyncratic,
it is difficult to replace it with something that retains the power,
yet is much easier to program, while still preserving all of the
underlying functionality of TeX, which is essential for peaceful
evolution and preservation of the substantial investment in existing
documents (several tens of millions of dollars for the American
Mathematical Society alone).

My personal view is that the WorldWideWeb's use of HTML, a particular
document instance of SGML, is rapidly helping to spread SGML awareness
in the Internet community, and that will in turn put pressure on
vendors of text processing software to provide better support for
SGML.  Once WWW browser clients become grammar based, as the
commercial Panorama viewer for IBM PC Windows has already done, there
is no reason to restrict WWW documents to HTML; they could employ
arbitrary SGML coding and document types.

For the WYSIWYG word processors, the spread of HTML use is probably a
<em>good thing</em>, since it may force them in the direction of
structured, rather than visual, markup.  TeX's power as a typesetting
engine can be used behind the scenes as a backend part of an SGML ->
TeX system: Arbortext has been doing this quite successfully for a
number of years as a commercial organization, and several publishers
that I know of do the same with home-grown translation systems.

========================================================================
Nelson H. F. Beebe                  Tel: +1 801 581 5254
Center for Scientific Computing     FAX: +1 801 581 4148
Department of Mathematics, 105 JWB  Internet: [email-masked]
University of Utah                  URL: http://www.math.utah.edu/~beebe
Salt Lake City, UT 84112, USA
========================================================================

------------------------------

From: [email-masked] ( Dave Jafferian )
Date: Thu, 30 Nov 1995 19:51:10 -0500
Subject: Where is Dr. Von Bechtolsheim ?

	Does anyone have an email address for Stephan v. Bechtolsheim, the
author of the TeXPS package (c) 1987, 1988 distributed with TeX-3.14 ?  A
message I sent to [email-masked] was returned.

	- Dave Jafferian, Raytheon Company, Marlborough, MA
	  ([email-masked])

- -----------------------------------------------------------
The preceding comments are those of the author and do not
represent the policies of Raytheon Company nor anyone else.

------------------------------

From: "L-Soft list server at DEARN (1.8b)" <[email-masked]>
Date: Sat, 2 Dec 1995 00:04:28 +0100
Subject: TEX-L: Daily error monitoring report

The following 1 subscriber is currently being monitored:

Err First Last  Address
- --- ----- ----- -------
  1 12/01 12/01 Pat Sosinski <[email-masked]>
                Last error: Mailer shell.wco.com said: "550 <[email-masked]>...
                            User unknown"

Err=   Number of delivery errors received thus far
First= Date first delivery error was received (mm/dd)
Last=  Date of most current delivery error (mm/dd)

Subscribers will be automatically deleted from the list when delivery errors
have been  reported for a  period of  4 days or  more, or when  100 delivery
errors have  been received,  whichever occurs  first. Monitoring  will cease
after 5 days without any reported error.

Note: manually deleted subscribers may remain on the monitoring report under
an alias address. Such entries will expire eventually; you do not need to do
anything about them.

------------------------------

End of TeXhax Digest V95 #17
****************************

About TeXhax...

Please send contributions to: [email-masked]

Subscription and unsubscription requests:
    send a one line mail message to [email-masked]
    containing either               subscribe texhax
    or                              unsubscribe texhax
If you have problems with un/subscribing, please mail [email-masked]

To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
message with no subject to [email-masked], consisting of
SENDME FAQ

For information on the TeX Users Group, please send a message to
[email-masked], or write TeX Users Group, 1850 Union Street, #1637
San Francisco CA 94123  (phone: 1 415 982 8449, fax:   1 415 982 8559)

Backnumbers of all the digests are stored in the Comprehensive TeX
Archive Network (CTAN) and can be retrieved on the Internet by
anonymous ftp.  The hosts comprising CTAN include, among others,
    ftp.dante.de (129.69.1.12)   -- Germany
    ftp.shsu.edu (192.92.115.10) -- USA
    ftp.tex.ac.uk (128.232.1.87) -- UK
Please use your nearest server, to keep network load down.
The file /tex-archive/CTAN.sites on each of these hosts gives a
list of other sites which maintain full or partial mirrors of the CTAN.
Alternatively, finger [email-masked] for full details.

TeXhax Digest back issues are filed below /tex-archive/digests/texhax/
Keyword-In-Context indexes are filed in /tex-archive/digests/indexes/

A Hypermail version of TeXhax is also available on the World-Wide Web at URL
http://www.tex.ac.uk/tex-archive/digests/hyper/

\bye